Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class EncryptedData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cms.EncryptedData

All Implemented Interfaces:
  DEREncodable

    public class EncryptedData

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`EncryptedData(EncryptedContentInfo encInfo)`
`EncryptedData(EncryptedContentInfo encInfo, ASN1Set unprotectedAttrs)`

Method Summary
`EncryptedContentInfo` | `getEncryptedContentInfo()`
`static EncryptedData` | `getInstance(java.lang.Object o)`
`ASN1Set` | `getUnprotectedAttrs()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` EncryptedData ::= SEQUENCE { version CMSVersion, encryptedContentInfo EncryptedContentInfo, unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedData

    public EncryptedData(EncryptedContentInfo encInfo)

### EncryptedData

    public EncryptedData(EncryptedContentInfo encInfo,
                         ASN1Set unprotectedAttrs)

Method Detail

### getInstance

    public static EncryptedData getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

### getUnprotectedAttrs

    public ASN1Set getUnprotectedAttrs()

### toASN1Object

    public DERObject toASN1Object()

             EncryptedData ::= SEQUENCE {
                           version CMSVersion,
                           encryptedContentInfo EncryptedContentInfo,
                           unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD